import { Module } from '@nestjs/common';
import { ConfigurationModule } from '../config/config.module';
import { JWTModule } from '../jwt/jwt.module';
import { ObjectsModule } from '../objects/objects.module';

import { LoginModule } from './login/login.module';
import { OAuth2RouterModule } from './oauth2-router/oauth2-router.module';
import { RegisterModule } from './register/register.module';
import { SessionModule } from './session/session.module';
import { SettingsModule } from './settings/settings.module';
import { TwoFactorModule } from './two-factor/two-factor.module';

/**
 * Secure server-side rendered front-end for account management and OAuth2 authorization
 */
@Module({
  imports: [
    SessionModule,
    ConfigurationModule,
    JWTModule,

    ObjectsModule,

    LoginModule,
    OAuth2RouterModule,
    RegisterModule,
    SettingsModule,
    TwoFactorModule,
  ],
})
export class SSRFrontEndModule {}
